import { IConfigStorage } from "../../../../Common/IConfigStorage";
import { IDesignValidationProvider, ValidationIssue } from "../../../../Common/IDesignValidationProvider";
export declare class RuleTableColumn implements IConfigStorage, IDesignValidationProvider {
    _id: string;
    name?: string;
    path?: string;
    constructor(name?: string);
    getStorageData(): object;
    setStorageData(data: object): void;
    getDesignValidationIssues(): ValidationIssue[];
}
